#!/usr/bin/env python3
# -*- encoding=utf-8 -*-


from xmaios.directive.Display.template.BaseTemplate import BaseTemplate


class BodyTemplate5(BaseTemplate):
    """
    BodyTemplate5模板
    详见文档：https://dueros.baidu.com/didp/doc/dueros-bot-platform/dbp-custom/display-template_markdown#BodyTemplate5
    """

    def __init__(self):
        super(BodyTemplate5, self).__init__(['token', 'title', 'type'])
        self.set_type('BodyTemplate5')
        self.data['images'] = []

    def add_images(self, url, width_pixels='', height_pixels=''):
        image_structure = self.create_image_structure(url, width_pixels, height_pixels)
        if image_structure:
            self.data['images'].append(image_structure.get_data())
        return self
